Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt

Use this file to discover all available pages before exploring further.

Server path: /unipile-accounts | Type: Application | PCID required: Yes

Tools

ToolDescription
unipile_accounts_create_accountConnect an account (native authentication)
unipile_accounts_create_webhookCreate a webhook
unipile_accounts_delete_accountDelete an account
unipile_accounts_delete_webhookDelete a webhook
unipile_accounts_get_account_by_idRetrieve an account
unipile_accounts_list_accountsList all accounts
unipile_accounts_list_webhooksList all webhooks
unipile_accounts_patch_accountUpdate account proxy
unipile_accounts_reconnect_accountReconnect an account
unipile_accounts_request_linkConnect an account (hosted authentication)
unipile_accounts_resend_checkpointResend checkpoint notification
unipile_accounts_restart_accountRestart an account
unipile_accounts_resync_accountResynchronize account messaging data
unipile_accounts_solve_account_checkpointSolve a code checkpoint

unipile_accounts_create_account

Connect an account (native authentication) Parameters:
ParameterTypeRequiredDefaultDescription
bodyobjectYesThe parameters required to perform the authentication depend on the type of account you are trying to connect.

unipile_accounts_create_webhook

Create a webhook Parameters:
ParameterTypeRequiredDefaultDescription
bodyobjectYesRequest body

unipile_accounts_delete_account

Delete an account Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe id account to be deleted.

unipile_accounts_delete_webhook

Delete a webhook Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe id of the webhook to be deleted.

unipile_accounts_get_account_by_id

Retrieve an account Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe id of the account to retrieve.

unipile_accounts_list_accounts

List all accounts Parameters:
ParameterTypeRequiredDefaultDescription
cursorstringNoA cursor for pagination purposes. To get the next page of entries, you need to make a new request and fulfill this field with the cursor received in the preceding request. This process should be repeated until all entries have been retrieved.
limitintegerNoA limit for the number of items returned in the response. The value can be set between 1 and 250.

unipile_accounts_list_webhooks

List all webhooks Parameters:
ParameterTypeRequiredDefaultDescription
cursorstringNoA cursor for pagination purposes. To get the next page of entries, you need to make a new request and fulfill this field with the cursor received in the preceding request. This process should be repeated until all entries have been retrieved.
limitintegerNoA limit for the number of items returned in the response. The value can be set between 1 and 250.

unipile_accounts_patch_account

Update account proxy Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe id of the account to update.
countrystringNoAn ISO 3166-1 A-2 country code to request a new Unipile proxy location.
ipobjectNoAn IPv4 address used to infer proxy country when requesting a Unipile proxy.
proxyobjectNoThe proxy value

unipile_accounts_reconnect_account

Reconnect an account Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe id of the account to reconnect.
bodyobjectYesThe parameters required to perform the authentication depend on the type of account you are trying to connect.

Connect an account (hosted authentication) Parameters:
ParameterTypeRequiredDefaultDescription
bodyobjectYesRequest body

unipile_accounts_resend_checkpoint

Resend checkpoint notification Parameters:
ParameterTypeRequiredDefaultDescription
account_idstringYesA unique identifier.
providerstringYesThe provider value

unipile_accounts_restart_account

Restart an account Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe id of the account to restart.

unipile_accounts_resync_account

Resynchronize account messaging data Parameters:
ParameterTypeRequiredDefaultDescription
chunk_sizenumberNoThe number of chats to be synchronized in a single chunk. Supported for LinkedIn and Telegram.
partialbooleanNoLinkedIn only. Whether the account should be partially resynchronized (keeping already synced data) or fully resynchronized.
linkedin_productstringNoLinkedIn only. The LinkedIn messaging feature to synchronize. Leave blank to process all connected features.
beforenumberNoThe end of the time span (lowest Epoch time in ms). Supported for LinkedIn and Telegram.
afternumberNoThe start of the time span (highest Epoch time in ms). Supported for LinkedIn and Telegram.
account_idstringYesThe id of the account to resynchronize.

unipile_accounts_solve_account_checkpoint

Solve a code checkpoint Parameters:
ParameterTypeRequiredDefaultDescription
account_idstringYesA unique identifier.
codestringYesThe code to solve the checkpoint. If the code is a phone number, it should be preceded by the international dialling code in brackets (e.g. (+33)0612345678 for France). If you need to switch to a different type of checkpoint, enter TRY_ANOTHER_WAY here (e.g. from In app validation to 2FA).
providerstringYesThe provider value